Subject: Re: [build bug] drivers/net/netxen/netxen_nic_main.c:1189: error: implicit declaration of function 'ipv6_hdr'

From: Dhananjay Phadke <[email-masked]>
Date: Fri, 16 Jan 2009 09:54:40 -0800

I guess I need to explicitly include <linux/ipv6.h>.
I will follow up with a patch to fix this.

-Dhananjay

Ingo Molnar wrote:
> * David Miller <[email-masked]> wrote:
> 
>>       netxen: fix endianness in firmware commands
>>       netxen: fix ipv6 offload and tx cleanup
>>       netxen: fix link speed reporting for some boards
>>       netxen: firmware init fix
>>       netxen: cleanup mac list on driver unload
>>       netxen: hold tx lock while sending firmware commands
>>       netxen: handle dma mapping failures
> 
> One of these causes frequent build failures on x86, on today's -git:
> 
>  drivers/net/netxen/netxen_nic_main.c:1189: error: implicit declaration of function 'ipv6_hdr'
>  drivers/net/netxen/netxen_nic_main.c:1189: error: invalid type argument of '->'
> 
> i suspect the key aspect is:
> 
> # CONFIG_IPV6 is not set
> 
> 	Ingo